import { IconBadge } from "@ess-ics/ce-ui-common";
import { HostStatusIcon } from "./HostStatus/HostStatusIcon";

export function HostBadge({ host, status, ...rest }) {
  return (
    <IconBadge
      icon={
        <HostStatusIcon
          hostStatus={status}
          hideAlerts
        />
      }
      title={host.fqdn}
      subtitle={host.network || "---"}
      {...rest}
    />
  );
}
